org.apache.myfaces.trinidad.change

## Class RowKeySetAttributeChange

- java.lang.Object
- - org.apache.myfaces.trinidad.change.ComponentChange
  - - org.apache.myfaces.trinidad.change.AttributeComponentChange
    - - org.apache.myfaces.trinidad.change.RowKeySetAttributeChange

- All Implemented Interfaces:
    Serializable

      public final class RowKeySetAttributeChange
      extends AttributeComponentChange

  Handles RowKeySetAttribute changes, which need to be handled specially because they are mutable and programmers assume that the instances don't change. Cases that we need to worry about: 1) old value is null 2) new value is null (should clear existing RowKeySet if possible) 3) old value = new value 4) new value is a ValueExpression or ValueBinding 5) old value is a ValueExpression that needs to be evaluated in context 6) RowKeySet is internally bound to a model that needs to be evaluated in context
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowKeySetAttributeChange(String clientId, String propertyName, Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeComponent(javax.faces.component.UIComponent component)` Apply this change to the specied component

    - ### Methods inherited from class org.apache.myfaces.trinidad.change.AttributeComponentChange

      `equals, getAttributeName, getAttributeValue, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowKeySetAttributeChange

          public RowKeySetAttributeChange(String clientId,
                                  String propertyName,
                                  Object value)

  - ### Method Detail

    - #### changeComponent

          public void changeComponent(javax.faces.component.UIComponent component)

      Description copied from class: `AttributeComponentChange`
      Apply this change to the specied component
      Overrides:
        `changeComponent` in class `AttributeComponentChange`
      Parameters:
        `component` - the UIComponent to apply the change to

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.